How to integrate bummzack / omnipay-postfinance?

Questions around the TYPO3 integration and plugins
Forum rules
Always add your TYPO3, Aimeos and PHP version as well as your environment (Linux/Mac/Win)
Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 11 Aug 2021, 07:55

Typo3 10 composer
Aimeos 21.4.13

Good Morning
Since the extension aimeos / ai-payments is no longer supported for TYPO3 10, I am facing a problem.
I should integrate Postfinance into the shop as a payment provider.

Is there a way to integrate the bummzack / omnipay-postfinance module?

User avatar
aimeos
Administrator
Posts: 5643
Joined: 01 Jan 1970, 00:00

Re: How to integrate bummzack / omnipay-postfinance?

Post by aimeos » 11 Aug 2021, 08:10

aimeos/ai-payments extensions can be used without problems in TYPO3 10+ composer setups
Professional support and custom implementation are available at Aimeos.com
If you like Aimeos, Image give us a star

Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

Re: How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 11 Aug 2021, 09:55

I tried to integrate the extension several times on different websites. Without success.

This is the output from "composer req aimeos/ai-payments":

Your requirements could not be resolved to an installable set of packages.

Problem 1
- Conclusion: don't install aimeos/ai-payments 2021.07.2
- Conclusion: don't install aimeos/ai-payments 2021.07.1
- Conclusion: remove aimeos/aimeos-core 2021.04.6
- Installation request for aimeos/ai-payments ^2021.07 -> satisfiable by aimeos/ai-payments[2021.07.1, 2021.07.2, 2021.07.x-dev].
- Conclusion: don't install aimeos/aimeos-core 2021.04.6
- aimeos/ai-payments 2021.07.x-dev requires aimeos/aimeos-core 2021.07.* -> satisfiable by aimeos/aimeos-core[2021.07.1, 2021.07.2, 2021.07.3, 2021.07.x-dev].
- Can only install one of: aimeos/aimeos-core[2021.07.1, 2021.04.6].
- Can only install one of: aimeos/aimeos-core[2021.07.2, 2021.04.6].
- Can only install one of: aimeos/aimeos-core[2021.07.3, 2021.04.6].
- Can only install one of: aimeos/aimeos-core[2021.07.x-dev, 2021.04.6].
- Installation request for aimeos/aimeos-core (locked at 2021.04.6) -> satisfiable by aimeos/aimeos-core[2021.04.6].


Installation failed, reverting ./composer.json to its original content.

User avatar
aimeos
Administrator
Posts: 5643
Joined: 01 Jan 1970, 00:00

Re: How to integrate bummzack / omnipay-postfinance?

Post by aimeos » 12 Aug 2021, 08:25

Can you post your composer.json? Your problem is that some Aimeos packages are pinned to 2021.04 there so installing ai-payment:2021.07 fails. You have to make sure that the other packages can be upgraded as well. Furthermore, you need composer 2.1+ for Aimeos 2021.07+
Professional support and custom implementation are available at Aimeos.com
If you like Aimeos, Image give us a star

Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

Re: How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 12 Aug 2021, 09:34

Thank you for your reply
I've tried the installation in several ways:
New website with "composer req aimeos / aimeos-typo3"
New website with "composer req aimeos / aimeos_dist"
New website directly with "composer req aimeos / ai-payments"
The installation failed for all of them

Here my composer.json file:

"name": "typo3/cms-base-distribution",
"description" : "TYPO3 CMS Base Distribution",
"license": "GPL-2.0-or-later",
"config": {
"platform": {
"php": "7.4"
},
"sort-packages": true
},
"repositories": {
"local": {
"type": "path",
"url": "public/typo3conf/ext/*(MyExtension)*"
}
},
"require": {
"aimeos/aimeos-typo3": "~21.4",
"felixnagel/t3extblog": "^6.1",
"georgringer/news": "^8.5",
"helhum/typo3-console": "^6.0.0",
"in2code/femanager": "^6.1",
"in2code/lux": "^13.4",
"in2code/luxletter": "^3.1",
"typo3/cms-about": "^10.4",
"typo3/cms-adminpanel": "^10.4",
"typo3/cms-backend": "^10.4",
"typo3/cms-belog": "^10.4",
"typo3/cms-beuser": "^10.4",
"typo3/cms-core": "^10.4",
"typo3/cms-dashboard": "^10.4",
"typo3/cms-extbase": "^10.4",
"typo3/cms-extensionmanager": "^10.4",
"typo3/cms-felogin": "^10.4",
"typo3/cms-filelist": "^10.4",
"typo3/cms-filemetadata": "^10.4",
"typo3/cms-fluid": "^10.4",
"typo3/cms-fluid-styled-content": "^10.4",
"typo3/cms-form": "^10.4",
"typo3/cms-frontend": "^10.4",
"typo3/cms-impexp": "^10.4",
"typo3/cms-info": "^10.4",
"typo3/cms-install": "^10.4",
"typo3/cms-lowlevel": "^10.4",
"typo3/cms-opendocs": "^10.4",
"typo3/cms-recordlist": "^10.4",
"typo3/cms-recycler": "^10.4",
"typo3/cms-redirects": "^10.4",
"typo3/cms-reports": "^10.4",
"typo3/cms-rte-ckeditor": "^10.4",
"typo3/cms-scheduler": "^10.4",
"typo3/cms-seo": "^10.4",
"typo3/cms-setup": "^10.4",
"typo3/cms-sys-note": "^10.4",
"typo3/cms-t3editor": "^10.4",
"typo3/cms-tstemplate": "^10.4",
"typo3/cms-viewpage": "^10.4",
"*(xxx/MyExtension)*": "@dev"
},
"scripts":{
"typo3-cms-scripts": [
"typo3cms install:fixfolderstructure",
"typo3cms install:generatepackagestates"
],
"post-autoload-dump": [
"@typo3-cms-scripts"
],
"post-install-cmd": [
"Aimeos\\Aimeos\\Custom\\Composer::install"
],
"post-update-cmd": [
"Aimeos\\Aimeos\\Custom\\Composer::install"
]
},
"minimum-stability": "dev",
"prefer-stable": true
}

User avatar
aimeos
Administrator
Posts: 5643
Joined: 01 Jan 1970, 00:00

Re: How to integrate bummzack / omnipay-postfinance?

Post by aimeos » 12 Aug 2021, 09:43

What's the output of "composer -V"? It must be version 2.1+
Professional support and custom implementation are available at Aimeos.com
If you like Aimeos, Image give us a star

Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

Re: How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 12 Aug 2021, 10:14

Now I tested this on a fresh website with Bootstrap Package:
"composer update" - Aimeos is now on version 21.7.2
"composer req aimeos / ai-payments" - results in the following error:

> Aimeos \ Aimeos \ Custom \ Composer :: install
Installing Aimeos public files from HTML client
Creating symlink to Aimeos extension directory
Script Aimeos \ Aimeos \ Custom \ Composer :: install handling the post-update-cmd event terminated with an exception

Installation failed, reverting ./composer.json and ./composer.lock to their original content.

[ErrorException]
symlink (): No such file or directory

Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

Re: How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 12 Aug 2021, 10:16

Composer is version 2.1.5

User avatar
aimeos
Administrator
Posts: 5643
Joined: 01 Jan 1970, 00:00

Re: How to integrate bummzack / omnipay-postfinance?

Post by aimeos » 12 Aug 2021, 10:30

Can you please try:

Code: Select all

composer req aimeos/aimeos-typo3:2021.07.x-dev aimeos/ai-payments:^2021.07
Professional support and custom implementation are available at Aimeos.com
If you like Aimeos, Image give us a star

Rocco
Posts: 14
Joined: 22 Apr 2016, 04:18

Re: How to integrate bummzack / omnipay-postfinance?

Post by Rocco » 12 Aug 2021, 12:23

Thank you very much, the installation is done

I have just one more note:
With Aimeos 2021.07.2 (not dev) I couldn't install any further extensions. I had the same error message as described above (Script Aimeos \ Aimeos \ Custom \ Composer :: install handling the post-update-cmd event terminated with an exception)

Post Reply